using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KlassenBIB
{
    /// <summary>
    /// 
    /// </summary>
    public class SchachtAnbindung  : Sanieren
    {
        string schachtNummer;
        BilderCollection savedBilders;

        #region GettersSetters
        /// <summary>
        /// 
        /// </summary>
        public string SchachtNummer { get => schachtNummer; set => schachtNummer = value; }
        /// <summary>
        /// 
        /// </summary>
        public BilderCollection SavedBilders { get => savedBilders; set => savedBilders = value; }
        #endregion
        /// <summary>
        /// 
        /// </summary>
        public SchachtAnbindung()
        {
            Verzeichnispfad = "Schachtanbindung";
            SavedBilders = new BilderCollection();
        }

        /// <summary>
        /// 
        /// </summary>
        public override string CheckVerzeichnisse(string projektpfad)
        {
            string path = Path.Combine(projektpfad, PfadZurSan);
            if (!Directory.Exists(path)) Directory.CreateDirectory(path);

            string mypath = Path.Combine(path, Verzeichnispfad);
            if (!Directory.Exists(mypath)) Directory.CreateDirectory(mypath);

            return mypath;
        }
    }
}
